<?php
require_once('../common/common.inc.php');
require_once('../common/misc_fns.inc.php');

function __autoload($class_name) {
    require_once $class_name . '.inc.php';
}


$post = clean_rec($_POST);
$get = clean_rec($_GET);
$tab = $get['tab'];
$strict_mode = 0;

switch($tab) {
	//$admin_login and $admin_password are from /common/common.inc.php
	//unconfirmed publications
	case('1'): $admin = new AdminT12($post, $get, $admin_login, $admin_password, $strict_mode, 1); break;
	//confirmed publications
	case('2'): $admin = new AdminT12($post, $get, $admin_login, $admin_password, $strict_mode, 2); break;
	//attributes
	case('3'): $admin = new AdminT3($post, $get, $admin_login, $admin_password, $strict_mode); break;
	//categories
	case('4'): $admin = new AdminT4($post, $get, $admin_login, $admin_password, $strict_mode); break;
	//authors
	case('5'): $admin = new AdminT5($post, $get, $admin_login, $admin_password, $strict_mode); break;
	//publishers
	case('6'): $admin = new AdminT6($post, $get, $admin_login, $admin_password, $strict_mode); break;
	//templates
	case('7'): $admin = new AdminT7($post, $get, $admin_login, $admin_password, $strict_mode); break;
	default: $admin = new AdminT12($post, $get, $admin_login, $admin_password, $strict_mode, 1); break;
}


$admin->execute();
?>