<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	{if $refresh}<meta http-equiv="refresh" content="{$refresh}" />{/if}
	<title>Databáze publikací - administrace</title>
	<link rel="stylesheet" type="text/css" href="admin.css" />
</head>
<body>

	{include file="admin_header.tpl"}

	<div id="mainpanel">
	<div id="mainpanel-inside">
		<ul id="tabmenu">
			<li><a href="index.php">Čekající na schválení</a></li>
			<li><a href="index.php?tab=2">Schválené</a></li>
			<li><a class="active" href="index.php?tab=3">Atributy</a></li>
			<li><a href="index.php?tab=4">Kategorie</a></li>
			<li><a href="index.php?tab=5">Autoři</a></li>
			<li><a href="index.php?tab=6">Vydavatelé</a></li>
			<li><a href="index.php?tab=7">Šablony</a></li>
		</ul>

		<div id="content">
		{if $operation_error}
			<span class="error">{$operation_error}</span><br/><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/><br/>
		{/if}

		{if $show_attributes}
			<form method="post" action="index.php?tab=3" enctype="multipart/form-data">
			<table id="list" border="0" cellspacing="0" cellpadding="8" summary="Seznam všech rozšířených atributů">
			<thead>
			<tr class="heading">
				<th scope="col"><a href="index.php?tab=3&amp;order=1">veřejný</a></th>
				<th scope="col"><a href="index.php?tab=3&amp;order=2">jméno atributu</a></th>
				<th scope="col"><a href="index.php?tab=3&amp;order=3">popis atributu</a></th>
				<th scope="col" colspan="2">&nbsp;</th>
			</tr>
			</thead>
			{foreach from=$attributes item=arr}
			<tr class="{cycle values="odd,even"}">
				<td><input type="checkbox" name="propagated_attributes[]" value="{$arr.id}" {if $arr.confirmed}checked="checked"{/if} /></td>
				<td><strong>{$arr.name|escape:"html"}</strong></td>
				<td>{$arr.description|escape:"html"}</td>
				<td><input type="submit" name="edit_attribute[{$arr.id}]" value="změnit" /> </td>
				<td>
					<input type="submit" name="delete_attribute[{$arr.id}]" value="smazat" />
					{if $arr.warning}<img src="../graphics/warn.png" alt="varování" title="Je asociován s některými publikacemi, raději nemazat."/>{/if}
				</td>
			</tr>
			{/foreach}
			<tr>
				<td>&nbsp;</td>
				<td><input type="text" id="new_attribute_name" name="new_attribute_name" maxlength="32" value="{$new_attribute_name}" title="jméno atributu: max. 32 znaků, první znak podtržítko, ostatní znaky písmena a číslice." /></td>
				<td><input type="text" id="new_attribute_description" name="new_attribute_description" maxlength="255" value="{$new_attribute_description}" title="popisek atributu: max. 255 znaků, nepovinné" /></td>
				<td colspan="2" class="right"><input type="submit" name="add_attribute" value="přidat atribut" /></td>
			</tr>
			</table>
			<br />
			<br />
			<hr />
			<br />
			<div class="right"><input type="submit" name="save_attributes_scope" value="uložit viditelnost atributů" /></div>
			</form>
		{elseif $edit_attribute}
			<a href="index.php?tab=3">&lt;&lt;</a>
			<br />
			<br />
			<form method="post" action="index.php?tab=3" enctype="multipart/form-data">
			<label>jméno atributu: <input type="text" size="20" maxlength="32" name="name" value="{$name|escape:"htmlall"}" /></label><br />
			<label>popis atributu: <input type="text" size="20" maxlength="255" name="description" value="{$description|escape:"htmlall"}" /></label>
			<br />
			<br />
			<hr />
			<br />
			<input type="hidden" name="attributes_id" value="{$attributes_id}" />
			<div class="right"><input type="submit" name="save_edited_attribute" value="uložit" /></div>
			</form>
		{/if}
		</div>
	</div>
	</div>

</body>
</html>
