<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	{if $refresh}<meta http-equiv="refresh" content="{$refresh}" />{/if}
	<title>Databáze publikací - administrace</title>
	<link rel="stylesheet" type="text/css" href="admin.css" />
</head>
<body>
	{include file="admin_header.tpl"}

	<div id="mainpanel">
	<div id="mainpanel-inside">
		<ul id="tabmenu">
			<li><a href="index.php">Čekající na schválení</a></li>
			<li><a href="index.php?tab=2">Schválené</a></li>
			<li><a href="index.php?tab=3">Atributy</a></li>
			<li><a href="index.php?tab=4">Kategorie</a></li>
			<li><a href="index.php?tab=5">Autoři</a></li>
			<li><a class="active" href="index.php?tab=6">Vydavatelé</a></li>
			<li><a href="index.php?tab=7">Šablony</a></li>
		</ul>

		<div id="content">
		{if $operation_error}
			<span class="error">{$operation_error}</span><br/><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/><br/>
		{/if}

		{if $show_publisher}
			<form method="post" action="index.php?tab=6" enctype="multipart/form-data">
			<table id="list" border="0" cellspacing="0" cellpadding="8" summary="Seznam všech vydavatelů">
			<thead>
			<tr class="heading">
				<th scope="col"><a href="index.php?tab=6&amp;order=1">schválený</a></th>
				<th scope="col"><a href="index.php?tab=6&amp;order=2">jméno</a></th>
				<th scope="col" colspan="2">&nbsp;</th>
			</tr>
			</thead>
			{foreach from=$publisher item=arr}
			<tr class="{cycle values="odd,even"}">
				<td>{if $arr.confirmed}ano{else}ne{/if}</td>
				<td>{$arr.name|escape:"html"}</td>
				<td><input type="submit" name="edit_publisher[{$arr.id}]" value="změnit" /> </td>
				<td>
					<input type="submit" name="delete_publisher[{$arr.id}]" value="smazat" />
					{if $arr.warning}<img src="../graphics/warn.png" alt="varování" title="Je asociován s některými publikacemi, raději nemazat."/>{/if}
				</td>
			</tr>
			{/foreach}
			<tr>
				<td>&nbsp;</td>
				<td><input type="text" size="20" id="name" name="name" maxlength="45" value="{$name}" title="max. 45 znaků" /></td>
				<td colspan="2" class="right"><input type="submit" name="add_publisher" value="přidat vydavatele" /></td>
			</tr>
			</table>
			<br />
			<br />
			<hr />
			<br />
			<div class="right"><input type="submit" name="confirm_publishers" value="schválit všechny vydavatele" /></div>
			</form>
		{elseif $edit_publisher}
			<a href="index.php?tab=6">&lt;&lt;</a>
			<br />
			<br />
			<form method="post" action="index.php?tab=6" enctype="multipart/form-data">
			<label>jméno: <input type="text" name="name" maxlength="20" value="{$name|escape:"html"}" title="max. 20 znaků" /></label><br />
			<br />
			<br />
			<hr />
			<br />
			<input type="hidden" name="publisher_id" value="{$publisher_id}" />
			<div class="right"><input type="submit" name="save_edited_publisher" value="uložit" /></div>
			</form>
		{/if}
		</div>
	</div>
	</div>
</body>
</html>
