<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title>Databáze publikací</title>
	<link rel="stylesheet" type="text/css" href="user.css" />
	{literal}
	<script type="text/javascript">
	//<![CDATA[
		function checkCategories() {
			field = document.getElementsByName('categories[]');
			for (i = 0; i < field.length; i++)
				field[i].checked = true;
		}

		function uncheckCategories() {
			field = document.getElementsByName('categories[]');
			for (i = 0; i < field.length; i++)
				field[i].checked = false;
		}

		function enableCategories() {
			document.getElementById('categories').style.display = 'block';
			document.getElementById('cat_on_off').innerHTML = '&lt;&lt;';
			field = document.getElementsByName('categories[]');
			for (i = 0; i < field.length; i++)
				field[i].disabled = false;
		}

		function disableCategories() {
			document.getElementById('categories').style.display = 'none';
			document.getElementById('cat_on_off').innerHTML = 'v kategoriích';
			field = document.getElementsByName('categories[]');
			for (i = 0; i < field.length; i++)
				field[i].disabled = true;
		}

		function enableDisableCategories() {
			if (document.getElementById('categories').style.display != 'none') {
				disableCategories();
			}
			else {
				enableCategories();
			}
		}

		function enableAuthor() {
			author = document.getElementById('author');
			author.style.display = 'block';
			document.getElementById('author_on_off').innerHTML = '&lt;&lt;';
			field = document.getElementsByName('categories[]');
			author.disabled = false;
		}

		function disableAuthor() {
			author = document.getElementById('author');
			author.style.display = 'none';
			document.getElementById('author_on_off').innerHTML = 'od autora';
			author.disabled = true;
		}

		function enableDisableAuthor()
		{
			author = document.getElementById('author');
			if (author.style.display != 'none') {
				disableAuthor();
			}
			else {
				enableAuthor();
			}
		}

		//if javascript works, disable categories options
		function init() {
			{/literal}
			{if $enable_categories eq ""}
				disableCategories();
			{else}
				enableCategories();
			{/if}
			{if $enable_author eq ""}
				disableAuthor();
			{else}
				enableAuthor();
			{/if}
			{literal}
		}
	//]]>
	</script>
	{/literal}
	</head>
<body onload="init();">
	<div id="header">
		<h1>Databáze publikací</h1>
		České vysoké učení technické v Praze, fakulta elektrotechnická
	</div>
	<div id="strip">
		<form method="post" action="{$smarty.server.HTTP_REFERRER}">
			<span>Formát </span><select name="format">{html_options options=$format selected=$selected_format}</select><input type="submit" name="change_format" value="ok" />
		</form>
		přihlášen jako {$logged_info}
		<hr class="cleaner" />
	</div>

	<div id="rightpanel">
	<div id="rightpanel-inside">
		<div id="menu">
			<h4>menu</h4>
			<ul>
				<li><a href="./">hlavní strana</a></li>
				<li><a href="./load/">zadání publikace</a></li>
				<li><a href="./admin/">administrační rozhraní</a></li>
			</ul>
		</div>
		<br /><br />
		<div id="search">
			<h4>hledat</h4>
			<form class="search_options" action='index.php' method='get' enctype='multipart/form-data' accept-charset='UTF-8'>
			<div>
			<input name="keywords" type="text" size="10" value="{$keywords}" />
			<input type="submit" value="ok" />
			<br />
			<br />
			<div id="cat_on_off" onclick="enableDisableCategories();">v kategoriích</div>
			<fieldset id="categories">
				<legend>kategorie</legend>
				{html_checkboxes name="categories" options=$categories selected=$selected_categories separator="<br />"}
				<br />
				<input type="button" onclick="checkCategories();" value="označit" />
				<input type="button" onclick="uncheckCategories();" value="odznačit" />
			</fieldset>
			<br />
			<div id="author_on_off" onclick="enableDisableAuthor();">od autora</div>
			<select name="author" id="author">
			<option value="">ode všech</option>
			{html_options options=$author selected=$selected_author}
			</select>
			<br />
			<div id="limit_on_off">limit zobrazení</div>
			{html_options name="bulk" options=$bulk selected=$selected_bulk}
			</div>
			<input type="hidden" name="page" value="0" />
			</form>
		</div>
	</div>
	</div>

	<div id="mainpanel">
	<div id="mainpanel-inside">
		{if $publications}
			{foreach from=$publications key=id item=publication}
			{$publication[0]}<br />
			<span class="categories_strip">
				kategorie: {if $publication[1]}{$publication[1]}{else} - {/if}</span>
			<hr/>
			{/foreach}
			<br />
			{if $larrow}
				<div class="larrow">
					<a href="index.php?{$larrow}">&lt;&lt; předchozí</a>
				</div>
			{/if}
			{if $rarrow}
				<div class="rarrow">
					<a href="index.php?{$rarrow}">další &gt;&gt;</a>
				</div>
			{/if}
		{else}
			žádný výsledek
		{/if}

	</div>
	</div>
</body></html>
