<?php

define('FATAL_ERR_MESSAGE', '<br />Fatal error, please contact your administrator <a href="mailto:admin@felk.cvut.cz">admin@felk.cvut.cz</a>');

/**
* Designed for handling serious exceptions
*
*/
class SException extends Exception {

	function __construct($message) {
		$this->security_err($message);
		parent::__construct('<span style="color: red;">'.$message.'</span>'.FATAL_ERR_MESSAGE);
	}

	/**
	 * Serve all fatal errors
	 *
	 * @param string $inner_msg
	 * @param string $public_msg
	 */
	private function security_err($inner_msg) {
		$handle = fopen("./log/buglist.log","a");
		fwrite($handle, date('d.m.Y H:i:s', time()).'  '.$inner_msg.'  '.$_SERVER['SCRIPT_NAME'].'  '.get_ip()."\n");
	}
}


?>